Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80664 - kdeinit makes apps crash when started immediatly after the last app has quit
Summary: kdeinit makes apps crash when started immediatly after the last app has quit
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kdelibs
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
: 76373 (view as bug list)
Depends On:
Blocks: 79579 CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2002-12-29 16:47 UTC by Hans de Goede
Modified: 2007-11-30 22:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-10-29 20:48:47 UTC


Attachments (Terms of Use)
application (deleted)
2003-04-20 12:57 UTC, james Tate
no flags Details

Description Hans de Goede 2002-12-29 16:47:42 UTC
Description of problem:
kdeinit makes apps crash when started immediatly after the last app hat quit

Version-Release number of selected component (if applicable):
kdelibs-3.1.0-0.5

Steps to Reproduce:
1. Start a gnome desktop
2. Start a gnome-terminal
3. Start konsole from the gnome-terminal
4. quit konsole
5. restart konsole when kdeinit is saying:
 kdeinit: Fatal IO error: client killed
 kdeinit: sending SIGHUP to children.
 kdeinit: sending SIGTERM to children.
 kdeinit: Exit.
   (I use arrow up, wait for the first line to be printed by kdeinit then
    press enter)
6. If you get the timing right konsole crashes every 2nd start :)
   
Actual results:
konsole crashes

Expected results:
konsole running

Additional info:
smells like a race condition to me :)

Comment 1 Ngo Than 2002-12-29 17:02:49 UTC
Hmm, it works for me. I have tested on 2 local machines without having this problem

Comment 2 Hans de Goede 2002-12-29 18:01:11 UTC
Are you sure you didn't have any other kdeapps running, in other words did
kdeinit give the above messages about it exiting?

And did you wait for those messages to appear and then during those messages
start konsole?

I can reproduce it 100 % of the time, clean install, not so fast machine
(k7-600, 128Mb RAM) that might help.

Here's a copy and paste from the shell:
---begin---
[hans@shalem hans]$ konsole
DCOPServer up and running.
[hans@shalem hans]$ konsolekdeinit: Fatal IO error: client killed
kdeinit: sending SIGHUP to children.

kdeinit: sending SIGTERM to children.
kdeinit: Exit.
ICE default IO error handler doing an exit(), pid = 3351, errno = 0
[hans@shalem hans]$ 
---end---
Watch the empty line between the 2 "kdeinit: sending ..." messages, that is the
enter to (re)start konsole the 2nd time. Also notice the ICE Message


Comment 3 Miloslav Trmac 2002-12-29 18:45:57 UTC
I have noticed this race too. It also occurs in older releases or RHL.
I'm not sure this can be fixed easily though.
Hans, could you please repopen this bug (near the Commit button)?

Comment 4 Nathan G. Grennan 2002-12-29 19:37:06 UTC
This sounds similar to #76373. Which I have been seeing for months.

Comment 5 Hans de Goede 2002-12-29 22:13:16 UTC
reopening as requested, since more people seem to have this problem (at leats
I'm not crazy :)

Comment 6 james Tate 2003-04-20 12:57:05 UTC
Created attachment 91197 [details]
application

I have experienced a problem with konqueror-su , after you enter root password
konquerorsu starts then immediately shuts down.
I have had this problem rh8 and now rh9.

Comment 7 Hans de Goede 2003-07-24 12:58:11 UTC
Still there in severn to reproduce in severn:
Steps to Reproduce (the kdeinit message has changed):
1. Start a gnome desktop
2. Start a gnome-terminal
3. Start konsole from the gnome-terminal
4. quit konsole
5. restart konsole when kdeinit is saying:
Mutex destroy failure: Device or resource busy
   (I use arrow up, wait for this line to be printed by kdeinit then
    press enter)
6. If you get the timing right konsole crashes every 2nd start :)
   

Comment 8 Ngo Than 2004-07-19 11:03:46 UTC
please reopent it again if it still appeas in FC2.

Comment 9 Ngo Than 2004-07-19 11:08:30 UTC
*** Bug 76373 has been marked as a duplicate of this bug. ***

Comment 10 Hans de Goede 2004-07-19 12:27:58 UTC
Actually I just hit this bug again this morning, now it is even easier
to reproduce:

-start a gnome desktop environment
-from a terminal start konsole
-immediatly close konsole again (ctrl-d)
-knotify (kde crash tool) comes up that something went wrong

I think this is only a problem when running kde-apps from a non kde
desktop environment and then doing 2 opens quick after each other or
rapid open/close, so it is not going to bite a lot of people, but is a
BUG.

I don't know if it still is kdeinit causing the problem.

Comment 11 Ngo Than 2004-07-19 12:57:23 UTC
could you please attach the error messages? thanks

Comment 12 John Thacker 2006-10-29 20:48:47 UTC
Closing per lack of response to previous comment.  FC3 and FC4 are supported for
security purposes only by Fedora Legacy.  If the bug is a security bug, please
reopen and assign to Fedora Legacy.  If the bug still occurs in FC5 or FC6,
please reopen and assign to the appropriate version.  Thank you.

Comment 13 Hans de Goede 2006-11-09 11:42:54 UTC
If I remember correctly, there are no error messages just a crash. Anyways I
just tried it with rawhide and I can't reproduce this anymore so I guess its fixed.



Note You need to log in before you can comment on or make changes to this bug.